
using System;

namespace Calculator
{

	/// <summary>
	/// Generated when an illegal number of operands is detected on the stack
	/// </summary>
	public class IllegalNumberOfOperandsException:Exception
	{
        /// <summary>
        /// Exception message.
        /// </summary>
        public static readonly String message = "Unexpected number of operands on stack. Evaluation impossible: too few elements on stack.";

		/// <summary>
		/// Constructor accepting information about the exception
		/// </summary>
		/// <param name="msg">
		/// A <see cref="System.String"/>
		/// </param>
		public IllegalNumberOfOperandsException ():base(message)
		{
		}
	}
}
